Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.narrowframestore
Class ServerNarrowFrameStore

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  edu.stanford.smi.protege.server.narrowframestore.ServerNarrowFrameStore

All Implemented Interfaces:
  RemoteServerNarrowFrameStore, Serializable, Remote

    public class ServerNarrowFrameStore

extends UnicastRemoteObject
implements RemoteServerNarrowFrameStore

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`ServerNarrowFrameStore(NarrowFrameStore delegate, KnowledgeBase kb)`

Method Summary
`void` | `addValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, Collection values, RemoteSession session)`
`boolean` | `beginTransaction(String name, RemoteSession session)`
`void` | `close(RemoteSession session)`
`boolean` | `commitTransaction(RemoteSession session)`
`void` | `deleteFrame(Frame frame, RemoteSession session)`
`Collection<Frame>` | `executeQuery(Query query, RemoteSession session)`
`Set` | `getClosure(Frame frame, Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`int` | `getClsCount(RemoteSession session)`
`NarrowFrameStore` | `getDelegate(RemoteSession session)`
`int` | `getFacetCount(RemoteSession session)`
`Frame` | `getFrame(FrameID id, RemoteSession session)`
`int` | `getFrameCount(RemoteSession session)`
`Set<Frame>` | `getFrames(RemoteSession session)`
`Set<Frame>` | `getFrames(Slot slot, Facet facet, boolean isTemplate, Object value, RemoteSession session)`
`Set<Frame>` | `getFramesWithAnyValue(Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`Set<Frame>` | `getMatchingFrames(Slot slot, Facet facet, boolean isTemplate, String value, int maxMatches, RemoteSession session)`
`Set<Reference>` | `getMatchingReferences(String value, int maxMatches, RemoteSession session)`
`String` | `getName(RemoteSession session)`
`Set<Reference>` | `getReferences(Object value, RemoteSession session)`
`int` | `getSimpleInstanceCount(RemoteSession session)`
`int` | `getSlotCount(RemoteSession session)`
`TransactionMonitor` | `getTransactionStatusMonitor(RemoteSession session)`
`List` | `getValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`int` | `getValuesCount(Frame frame, Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`void` | `moveValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, int from, int to, RemoteSession session)`
`void` | `removeValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value, RemoteSession session)`
`void` | `replaceFrame(Frame original, Frame replacement, RemoteSession session)`
`void` | `replaceFrame(Frame frame, RemoteSession session)`
`boolean` | `rollbackTransaction(RemoteSession session)`
`boolean` | `setCaching(RemoteSession sessionToChangeCaching, boolean doCache, RemoteSession session)`
`void` | `setName(String name, RemoteSession session)`
`void` | `setValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, Collection values, RemoteSession session)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerNarrowFrameStore

    public ServerNarrowFrameStore(NarrowFrameStore delegate,
                                  KnowledgeBase kb)
                           throws RemoteException

Throws:
  `RemoteException`

Method Detail

### getName

    public String getName(RemoteSession session)
                   throws RemoteException

  Specified by:
    `getName` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### setName

    public void setName(String name,
                        RemoteSession session)
                 throws RemoteException

  Specified by:
    `setName` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getDelegate

    public NarrowFrameStore getDelegate(RemoteSession session)
                                 throws RemoteException

  Specified by:
    `getDelegate` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getFrameCount

    public int getFrameCount(RemoteSession session)
                      throws RemoteException

  Specified by:
    `getFrameCount` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getClsCount

    public int getClsCount(RemoteSession session)
                    throws RemoteException

  Specified by:
    `getClsCount` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getSlotCount

    public int getSlotCount(RemoteSession session)
                     throws RemoteException

  Specified by:
    `getSlotCount` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getFacetCount

    public int getFacetCount(RemoteSession session)
                      throws RemoteException

  Specified by:
    `getFacetCount` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getSimpleInstanceCount

    public int getSimpleInstanceCount(RemoteSession session)
                               throws RemoteException

  Specified by:
    `getSimpleInstanceCount` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getFrames

    public Set<Frame> getFrames(RemoteSession session)
                         throws RemoteException

  Specified by:
    `getFrames` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getFrame

    public Frame getFrame(FrameID id,
                          RemoteSession session)
                   throws RemoteException

  Specified by:
    `getFrame` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getValues

    public List getValues(Frame frame,
                          Slot slot,
                          Facet facet,
                          boolean isTemplate,
                          RemoteSession session)
                   throws RemoteException

  Specified by:
    `getValues` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getValuesCount

    public int getValuesCount(Frame frame,
                              Slot slot,
                              Facet facet,
                              boolean isTemplate,
                              RemoteSession session)
                       throws RemoteException

  Specified by:
    `getValuesCount` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### addValues

    public void addValues(Frame frame,
                          Slot slot,
                          Facet facet,
                          boolean isTemplate,
                          Collection values,
                          RemoteSession session)
                   throws RemoteException

  Specified by:
    `addValues` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### moveValue

    public void moveValue(Frame frame,
                          Slot slot,
                          Facet facet,
                          boolean isTemplate,
                          int from,
                          int to,
                          RemoteSession session)
                   throws RemoteException

  Specified by:
    `moveValue` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### removeValue

    public void removeValue(Frame frame,
                            Slot slot,
                            Facet facet,
                            boolean isTemplate,
                            Object value,
                            RemoteSession session)
                     throws RemoteException

  Specified by:
    `removeValue` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### setValues

    public void setValues(Frame frame,
                          Slot slot,
                          Facet facet,
                          boolean isTemplate,
                          Collection values,
                          RemoteSession session)
                   throws RemoteException

  Specified by:
    `setValues` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getFrames

    public Set<Frame> getFrames(Slot slot,
                                Facet facet,
                                boolean isTemplate,
                                Object value,
                                RemoteSession session)
                         throws RemoteException

  Specified by:
    `getFrames` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getFramesWithAnyValue

    public Set<Frame> getFramesWithAnyValue(Slot slot,
                                            Facet facet,
                                            boolean isTemplate,
                                            RemoteSession session)
                                     throws RemoteException

  Specified by:
    `getFramesWithAnyValue` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getMatchingFrames

    public Set<Frame> getMatchingFrames(Slot slot,
                                        Facet facet,
                                        boolean isTemplate,
                                        String value,
                                        int maxMatches,
                                        RemoteSession session)
                                 throws RemoteException

  Specified by:
    `getMatchingFrames` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getReferences

    public Set<Reference> getReferences(Object value,
                                        RemoteSession session)
                                 throws RemoteException

  Specified by:
    `getReferences` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getMatchingReferences

    public Set<Reference> getMatchingReferences(String value,
                                                int maxMatches,
                                                RemoteSession session)
                                         throws RemoteException

  Specified by:
    `getMatchingReferences` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### executeQuery

    public Collection<Frame> executeQuery(Query query,
                                          RemoteSession session)
                                   throws RemoteException

  Specified by:
    `executeQuery` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### deleteFrame

    public void deleteFrame(Frame frame,
                            RemoteSession session)
                     throws RemoteException

  Specified by:
    `deleteFrame` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### close

    public void close(RemoteSession session)
               throws RemoteException

  Specified by:
    `close` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getClosure

    public Set getClosure(Frame frame,
                          Slot slot,
                          Facet facet,
                          boolean isTemplate,
                          RemoteSession session)
                   throws RemoteException

  Specified by:
    `getClosure` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### replaceFrame

    public void replaceFrame(Frame frame,
                             RemoteSession session)
                      throws RemoteException

  Specified by:
    `replaceFrame` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### beginTransaction

    public boolean beginTransaction(String name,
                                    RemoteSession session)
                             throws RemoteException

  Specified by:
    `beginTransaction` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### commitTransaction

    public boolean commitTransaction(RemoteSession session)
                              throws RemoteException

  Specified by:
    `commitTransaction` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### rollbackTransaction

    public boolean rollbackTransaction(RemoteSession session)
                                throws RemoteException

  Specified by:
    `rollbackTransaction` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### getTransactionStatusMonitor

    public TransactionMonitor getTransactionStatusMonitor(RemoteSession session)
                                                   throws TransactionException,
                                                          RemoteException

  Specified by:
    `getTransactionStatusMonitor` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `TransactionException`
    `RemoteException`

### replaceFrame

    public void replaceFrame(Frame original,
                             Frame replacement,
                             RemoteSession session)
                      throws RemoteException

  Specified by:
    `replaceFrame` in interface `RemoteServerNarrowFrameStore`
  Throws:
    `RemoteException`

### setCaching

    public boolean setCaching(RemoteSession sessionToChangeCaching,
                              boolean doCache,
                              RemoteSession session)

  Specified by:
    `setCaching` in interface `RemoteServerNarrowFrameStore`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.